<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.jianshui.income.mapper.InvoiceCheckTollMapper">

    <resultMap type="com.jianshui.income.domain.entity.InvoiceCheckToll" id="InvoiceCheckTollResult">
        <result property="invoice_check_id" column="invoice_check_id"/>
        <result property="txfbz" column="txfbz"/>
        <result property="lslbs" column="lslbs"/>
        <result property="sfdbts" column="sfdbts"/>
        <result property="spbm" column="spbm"/>
        <result property="spbmjc" column="spbmjc"/>
    </resultMap>

    <sql id="selectInvoiceCheckTollVo">
        select invoice_check_id, txfbz, lslbs, sfdbts, spbm, spbmjc
        from invoice_check_toll
    </sql>


    <select id="selectInvoiceCheckTollById" parameterType="Long" resultMap="InvoiceCheckTollResult">
        <include refid="selectInvoiceCheckTollVo"/>
        where invoice_check_id = #{invoice_check_id}
    </select>


</mapper>